#include "keymap_common.h"

static const uint8_t PROGMEM keymaps[][MATRIX_ROWS][MATRIX_COLS] = {
  /* 0: qwerty */
  KEYMAP(Q,   W,   E,   R,   T,   Y,   U,   I,   O,   P,  \
            A,   S,   D,   F,   G,   H,   J,   K,   L,    \
              Z,   X,   C,   V,   B,   N,   M, RSFT,      \
                        FN0,   SPC,    FN1),

  /* 1: FN 1 */
  KEYMAP(TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,  \
           TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,     \
             TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,        \
                            TRNS,TRNS,TRNS),

  /* 2: FN 2 */
  KEYMAP(TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,  \
           TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,     \
             TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,TRNS,        \
                            TRNS,TRNS,TRNS),
};
static const uint16_t PROGMEM fn_actions[] = {
[0] = ACTION_LAYER_MOMENTARY(1),
[1] = ACTION_LAYER_MOMENTARY(2)
};